/***************************************************************************
                          export_xml.h  -  description
                             -------------------
    begin                : Tue Nov 20 2001
    copyright            : (C) 2001 by mb
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// include files for QT
#include <qobject.h>
#include <qstring.h>
#include <qlist.h>
#include <qdir.h>
#include <qwidget.h>
#include <qfile.h>

#include <cell.h>

class ExportObj_XML : public QObject
{
	Q_OBJECT
	public:
	ExportObj_XML(QWidget *parent, const char *name=0);
	
	void setFilename(const QString * filename);
	void setTablename(const QString * filename);
	void setDBType(int t);
//	void addData(int row, int col, const char * data, const char * dtype="");
	void addData(int row, int col, QString * data, const char * dtype="");
	void finish();
 	void setRowOffset(int r);
 	void setColumnOffset(int c);

	private:
	QString * exportFilename;
  QString * exportTablename;
  QString * exportDBType;
	cell_t * exportData;
	cell_t * last;
	int	rowOffset;
 	int columnOffset;
};

